<template>
  <div>
      <div class="box-right">
          <div class="title">A级要素：<span>A级要素2</span></div>
        <div v-for="(item,index) in 2" :key="index">
          <el-row class="titles">
            <el-col :span="6"><p><span>B级要素：</span>法律、法规和标准的识别和获取</p></el-col>
             <el-col :span="6"><p><span>得分：</span>50</p></el-col>
          </el-row>
          <el-row>
             <el-col :span="24">
                  <el-table
                     border
                    :data="tableData"
                  >
                    <el-table-column
                      prop="date"
                      align="center"
                      label="标准化要求"
                    >
                    </el-table-column>
                    <el-table-column
                      prop="name"
                      align="center"
                      label="企业达标标准"
                    ></el-table-column>
                    <el-table-column
                      prop="name"
                      align="center"
                      label="评审方法"
                    ></el-table-column>
                      <el-table-column
                      prop="name"
                      align="center"
                      label="评审标准"
                    >
                     <el-table-column
                      prop="name"
                      align="center"
                      label="否决项"
                    ></el-table-column>
                     <el-table-column
                      prop="name"
                      align="center"
                      label="扣分项"
                    ></el-table-column>
                    </el-table-column>
                     <el-table-column
                      prop="name"
                      align="center"
                      label="扣分"
                      type="expand"
                      width="50px"
                    >
                        <el-table
                        :data="tableData"
                  >
                    <el-table-column
                      prop="name"
                      align="center"
                      label="扣分项"
                    >
                    </el-table-column>
                    <el-table-column
                      prop="date"
                      align="center"
                      label="扣分"
                    >
                    </el-table-column>
                    <el-table-column
                      prop="date"
                      align="center"
                      label="扣分备注"
                    >
                    </el-table-column>
                  </el-table>
                    </el-table-column>
                     <el-table-column
                      prop="name"
                      align="center"
                      label="备注"
                    ></el-table-column>
                    <el-table-column align="center" label="操作" width="200px">
                      <template slot-scope="scope">
                        <el-button
                          @click="handleClick(scope.row)"
                          type="text"
                          size="small"
                          >评价</el-button
                        >
                        <!-- <el-button type="text" size="small" style="color: red"
                          >删除</el-button
                        > -->
                      </template>
                    </el-table-column>
                  </el-table>
                </el-col>
              </el-row>
        </div>
        </div>
  </div>
</template>
<script>
import Titlename from "../../components/Titlename/index.vue";
export default {
  components: { Titlename },
  data() {
    return {
      dialogVisible: false,
      form: {
        name: "",
      },
      formInline: {
        user: "",
        region: "",
      },
      tableData: [
        {
          date: "2016-05-02",
          name: "王小虎",
          province: "上海",
          city: "普陀区",
          address: "上海市普陀区金沙江路 1518 弄",
          zip: 200333,
        },
        {
          date: "2016-05-04",
          name: "王小虎",
          province: "上海",
          city: "普陀区",
          address: "上海市普陀区金沙江路 1517 弄",
          zip: 200333,
        },
        {
          date: "2016-05-01",
          name: "王小虎",
          province: "上海",
          city: "普陀区",
          address: "上海市普陀区金沙江路 1519 弄",
          zip: 200333,
        },
        {
          date: "2016-05-03",
          name: "王小虎",
          province: "上海",
          city: "普陀区",
          address: "上海市普陀区金沙江路 1516 弄",
          zip: 200333,
        },
      ],
      defaultProps: {
        children: "children",
        label: "label",
      },
    };
  },
  methods: {
    btnsQX() {
      this.show = true;
    },
  },
};
</script>
<style scoped>
.box {
  width: 100%;
  display: flex;
  justify-content: space-between;
  background-color: rgb(223, 229, 235);
}
.box-right {
  width: 100%;
  background-color: white;
  border-radius: 5px;
  padding: 20px;
}
.title{
  font-size: 16px;
  padding: 10px 0px;
  font-weight: bold;
}
.titles{
  font-size: 14px;
}
</style>